﻿@model IEnumerable<ClientBudget>
@{
    string[] colors = { "#000066", "#708DC6", "#009900", "#404040", "#F64E60", "#800000", "#002f8e", "#c65911", "#2f75b5", "#660066", "#b00022", "#996633", "#008080" };
    int i = 0;
    var grpItem = Model.GroupBy(m => new { m.BudgetItem.ParentId, m.BudgetItem.Parent.ItemName }).Where(m => m.Key.ParentId > 0);
}
<div class="d-flex">
    <div class="flex-grow-1 w-100px">
        <h4 class="text-dark font-weight-bold mt-2 mr-5">Help us understand your current cash flow by adding your budget items</h4>
    </div>
    <div>
        <button class="btn btn-primary font-weight-bold btn-sm btn-budget-add mb-2 mr-5"><i class="fas fa-plus"></i>New Budget Item</button>
    </div>
    <div>
        <button class="btn btn-secondary font-weight-bold px-6 py-2 btn-next" id="btn-save-exit">Save & Exit</button>
    </div>
</div>
<div class="col-md-12">
    <div class="form-group row mb-2">
        <label class="col-form-label" for="AssumedInflationRate">Assumed Inflation Rate</label>
        <div class="col-3 mt-2">
            <input id="AssumedInflationRate" name="AssumedInflationRate" class="form-control form-control-sm percentage w-120px float-left" type="text" value="@ViewBag.AssumedInflationRate">
        </div>
    </div>
</div>
<div class="wizard-content-height row" id="budget-main-div">
    @foreach (var item in grpItem)
    {
        var total = item.Sum(m => m.Amount);
        var totalBalanceOwn = item.Sum(m => m.BalanceOwn);
        bool hasRevolvingDebt = item.Any(m => m.BudgetItem.IsRevolvingDebt);
        if (total > 0)
        {
            <div class="col-lg-12">
                <div class="card card-custom gutter-b shadow-none budget-card bg-gray-100" style="border:1px solid @colors[i];" id="budget-card-@item.Key.ParentId" data-color="@colors[i]">
                    <div class="card-header budget-header" style="background:@colors[i]">
                        <div class="card-title">
                            <span class="card-icon">
                                <i class="la la-file-invoice-dollar icon-xl text-white"></i>
                            </span>
                            <h2 class="card-label text-white font-size-h3">@item.Key.ItemName</h2>
                        </div>
                    </div>
                    <div class="card-body pt-2">
                        <div class="table-responsive font-size-h6">
                            <table class="table table-sm mb-0 table-borderless table-budget">
                                <thead style="border-bottom:@colors[i] solid 1px">
                                    <tr>
                                        <td class="font-size-h6 font-weight-bold min-w-@(hasRevolvingDebt ? "100" :"450")px">Invest in Yourself</td>
                                        <td class="font-size-h6 font-weight-bold text-right min-w-60px">Annual amount</td>
                                        <td class="font-weight-bold font-size-h6 pl-2 pr-2 min-w-40px">Inflationary?</td>
                                        @if (hasRevolvingDebt)
                                        {
                                            <td class="font-size-h6 font-weight-bold pl-2 pr-2 text-right term-revolve min-w-40px">Balance owed</td>
                                            <td class="font-size-h6 font-weight-bold text-left term-revolve min-w-80px">Years till payoff</td>
                                        }
                                        <td class="min-w-60px"></td>
                                    </tr>
                                </thead>
                                @foreach (var item1 in item.Where(m => m.Amount > 0))
                                {
                                    <tr data-guid="@item1.Guid" data-budget-type="@item.Key.ParentId" data-budget-item-id="@item1.BudgetItemId">
                                        <td>@item1.BudgetItem.ItemName</td>
                                        <td class="text-right">
                                            <span class="display-view amount">
                                                @string.Format("{0:C0}", item1.Amount)
                                            </span>
                                            <span class="edit-view d-none">
                                                <input @(item1.BudgetItem.ItemName == "Mortgage/Rent" && item1.Amount > 0 ? "readonly" : "") value="@item1.Amount" class="form-control input-xs amount currency text-right autosize-textbox float-right zero-not-allowed" data-minlength="60" type="text" />
                                            </span>
                                        </td>
                                        <td class="text-center">
                                            <span class="display-view inflationary">
                                                @(item1.Inflationary ? "Yes" : "No")
                                            </span>
                                            <span class="edit-view d-none">
                                                <span class="switch switch-outline switch-icon switch-custom switch-xs justify-content-center">
                                                    <label>
                                                        <input type="checkbox" @(item1.Inflationary ? "checked" : "") class="inflationary">
                                                        <span></span>
                                                    </label>
                                                </span>
                                            </span>
                                        </td>
                                        @if (hasRevolvingDebt)
                                        {
                                            <td class="text-@(item1.BalanceOwn>0?"right":"center") term-revolve">
                                                @(item1.BalanceOwn > 0 ? string.Format("{0:C0}", item1.BalanceOwn) : "-")
                                            </td>
                                            <td class="text-center term-revolve">
                                                @(item1.YearsPayOff > 0 ? item1.YearsPayOff.ToString() : "-")
                                            </td>
                                        }
                                        <td>
                                            <div class="display-view">
                                                <button class="btn btn-icon btn-xs btn-budget-edit" type="button">
                                                    <i class="la la-pencil-alt icon-lg text-dark" data-toggle="tooltip" data-original-title="Edit"></i>
                                                </button>
                                                <button class="btn btn-icon btn-xs btn-budget-delete" type="button">
                                                    <i class="la la-trash icon-lg text-dark" data-toggle="tooltip" data-original-title="Delete"></i>
                                                </button>
                                            </div>
                                            <div class="edit-view d-none">
                                                <button class="btn btn-icon btn-xs btn-budget-save" type="button">
                                                    <i class="la la-save icon-lg text-dark" data-toggle="tooltip" data-original-title="Save"></i>
                                                </button>
                                                <button class="btn btn-icon btn-xs btn-budget-cancel" type="button">
                                                    <i class="spinner spinner-primary spinner-sm d-none"></i>
                                                    <i class="la la-remove icon-lg text-dark" data-toggle="tooltip" data-original-title="Cancel"></i>
                                                </button>
                                            </div>
                                        </td>
                                    </tr>
                                }
                                <tfoot style="border-top:@colors[i] solid 1px">
                                    <tr style="color:@colors[i]">
                                        <td class="font-weight-bold">Total</td>
                                        <td class="text-right" id="total-@item.Key.ParentId">@string.Format("{0:C0}", total)</td>
                                        <td></td>
                                        @if (hasRevolvingDebt)
                                        {
                                            <td id="total-balanceown-@item.Key.ParentId" class="text-@(totalBalanceOwn > 0 ? "right" : "center") term-revolve"> @(totalBalanceOwn > 0 ? string.Format("{0:C0}", totalBalanceOwn) : "-") </td>
                                            <td class="term-revolve"></td>
                                        }
                                        <td></td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            i++;
        }
    }
</div>
<partial name="_WizardFooter" />
<div class="modal" id="AddBudgetModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script src="~/js/page/budget-info.js" asp-append-version="true"></script>
<script>
    var allcolors = @Html.Raw(Json.Serialize(colors));
    var getExistingColor = function () {
        var colors = [];
        $(".budget-card").each(function (i, item) {
            colors.push($(this).attr("data-color"));
        });
        return colors
    }
    var el = $("#btn-submit[data-next-action='/']");
    el.attr("data-original-title", `Select at least one Planning area`);
</script>